GET /map/{versionNumber}/wms/
Operation ID: GetMap
Auth: unknown
Description
The GetMap call implements the Web Map Service 1.1.1 standard to access TomTom raster map tiles. This service is described in the response to the GetCapabilities API call.
Parameters (11)
(string, query, required)
Bounding box in the projection stated in <b>srs</b> (minLon,minLat,maxLon,maxLat)
Constraints: {'pattern': '^(-*\\d+\\.*\\d*, *){3}(-*\\d+\\.*\\d*)$'}
(string, query, required)
Image format to be returned
Constraints: {'enum': ['image/jpeg', 'image/png']}
(integer, query, required)
Height of the resulting image, in pixels Maximum value is 2048
(string, query, required)
Map layers requested Currently only the basic layer is available
Constraints: {'enum': ['basic']}
(string, query, required)
Request type
Constraints: {'enum': ['GetMap']}
(string, query, optional)
Service type
Constraints: {'enum': ['WMS']}
(string, query, required)
Projection used in describing the <b>bbox</b> EPSG:3857 is recommended, particularly at higher zoom levels. (Note that EPSG:3857 is functionally equivalent to EPSG:900913/EPSG:3785)
Constraints: {'enum': ['EPSG:3857', 'EPSG:4326']}
(string, query, optional)
Map styles to be returned. Currently, no styles are available. This parameter is present for forward compatibility; it must be used and left blank.
Constraints: {'enum': ['']}
(string, query, required)
WMS service version
Constraints: {'enum': ['1.1.1']}
(integer, path, required)
Version of the service to call. The current version is 1
Constraints: {'enum': [1]}
(integer, query, required)
Width of the resulting image, in pixels Maximum value is 2048
No probe data for this endpoint yet.